package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import org.codehaus.jackson.annotate.JsonIgnore;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/20
 */
public class TeacherHomeworkListDto {

    @ApiModelProperty(value = "作业编号")
    private Integer courseScheduleId;

    @ApiModelProperty(value = "作业内容")
    private String content;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @JsonIgnore
    private String day;

    @ApiModelProperty(value = "预计完成人数")
    private Integer expectNum;

    @ApiModelProperty(value = "实际完成人数")
    private Integer completedNum;

    @ApiModelProperty(value = "课程名称")
    private String courseScheduleName;

    @ApiModelProperty(value = "总课时")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    private Date startClassTime;

    private int isReplied;

    private int isSubmit;

    private int status;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public int getIsSubmit() {
        return isSubmit;
    }

    public void setIsSubmit(int isSubmit) {
        this.isSubmit = isSubmit;
    }

    public int getIsReplied() {
        return isReplied;
    }

    public void setIsReplied(int isReplied) {
        this.isReplied = isReplied;
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }

    public Integer getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Integer courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getExpectNum() {
        return expectNum;
    }

    public void setExpectNum(Integer expectNum) {
        this.expectNum = expectNum;
    }

    public Integer getCompletedNum() {
        return completedNum;
    }

    public void setCompletedNum(Integer completedNum) {
        this.completedNum = completedNum;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }
}
